## alsa-driver-cclub 1.0.5a-3+002

=== Makefile ===
#
# Makefile for ALSA driver
# Copyright (c) 1994-98 by Jaroslav Kysela <perex@suse.cz>
#

ALSAKERNELDIR = ../alsa-kernel

ifeq (Makefile.conf,$(wildcard Makefile.conf))
include Makefile.conf
include toplevel.config
else
.PHONY: dummy1
dummy1:
	$(MAKE) all-deps
	@echo
	@echo "Please, run the configure script as first..."
	@echo
MAINSRCDIR := $(shell /bin/pwd)
endif

SND_TOPDIR   = $(MAINSRCDIR)
export SND_TOPDIR

ifeq (,$(wildcard acinclude.m4))
.PHONY: dummy2
dummy2:
	$(MAKE) all-deps
	@echo
	@echo "Please, run the configure script as first..."
	@echo
endif

SUBDIRS  = acore i2c drivers isa synth
CSUBDIRS =

ifndef NEW_KBUILD
SUBDIRS += support
endif

ifeq (y,$(CONFIG_PCI))
SUBDIRS  += pci
endif
ifeq (y,$(CONFIG_ARM))
SUBDIRS  += arm
endif
ifeq (y,$(CONFIG_PPC))
SUBDIRS  += ppc
endif
ifeq (y,$(CONFIG_SGI))
SUBDIRS  += hal2
endif
ifeq (y,$(CONFIG_USB))
SUBDIRS  += usb
endif
ifeq (y,$(CONFIG_PCMCIA))
SUBDIRS  += pcmcia
endif
CSUBDIRS += include test utils

KCONFIG_FILES = $(shell find $(SND_TOPDIR) -name Kconfig) $(shell find $(SND_TOPDIR)/alsa-kernel/ -name Kconfig)

.PHONY: all
all: compile

alsa-kernel/Config.in:
	ln -sf $(ALSAKERNELDIR) alsa-kernel
	ln -sf alsa-kernel sound
	ln -sf alsa-kernel/scripts scripts

include/sound/version.h: include/version.h
	if [ ! -d include/sound -a ! -L include/sound ]; then \
	  ln -sf ../alsa-kernel/include include/sound ; \
	fi
	cp -auvf include/version.h include/sound/version.h

utils/mod-deps: utils/mod-deps.c
	gcc utils/mod-deps.c -o utils/mod-deps

toplevel.config.in: $(KCONFIG_FILES) alsa-kernel/sound_core.c utils/mod-deps
	utils/mod-deps --basedir $(SND_TOPDIR)/alsa-kernel --hiddendir $(SND_TOPDIR) --makeconf > toplevel.config.in

acinclude.m4: alsa-kernel/Config.in utils/mod-deps alsa-kernel/scripts/Modules.dep utils/Modules.dep
	cat alsa-kernel/scripts/Modules.dep utils/Modules.dep | utils/mod-deps --acinclude > acinclude.m4

include/config1.h.in: alsa-kernel/Config.in utils/mod-deps alsa-kernel/scripts/Modules.dep utils/Modules.dep
	cat alsa-kernel/scripts/Modules.dep utils/Modules.dep | utils/mod-deps --include > include/config1.h.in

all-deps: toplevel.config.in acinclude.m4 include/config1.h.in

include/sndversions.h:
	make dep

.PHONY: compile
compile: include/sound/version.h include/sndversions.h
ifdef NEW_KBUILD
	$(MAKE) -C $(CONFIG_SND_KERNELDIR) SUBDIRS=$(MAINSRCDIR)/kbuild modules
else
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d; then exit 1; fi; done
endif
	@echo
	@echo "ALSA modules were successfully compiled."
	@echo

.PHONY: dep
dep: include/sound/version.h
ifdef NEW_KBUILD
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d prepare; then exit 1; fi; done
else
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d fastdep; then exit 1; fi; done
endif

.PHONY: map
map:
	awk "{ if ( length( $$1 ) != 0 ) print $$1 }" snd.map | sort -o snd.map1
	mv -f snd.map1 snd.map

.PHONY: install
install: install-modules install-headers install-scripts check-snd-prefix
	@if [ -L /dev/snd ]; then \
		echo "The ALSA devices were removed from /proc/asound/dev directory." ; \
		echo "Creating static device entries in /dev/snd." ; \
		$(SND_TOPDIR)/snddevices ; \
	fi
	cat WARNING

.PHONY: install-headers
install-headers:
	if [ -L $(DESTDIR)$(prefix)/include/sound ]; then \
		rm -f $(DESTDIR)$(prefix)/include/sound; \
		ln -sf $(MAINSRCDIR)/include/sound $(DESTDIR)$(prefix)/include/sound; \
	else \
		rm -rf $(DESTDIR)$(prefix)/include/sound; \
		install -d -m 755 -g root -o root $(DESTDIR)$(prefix)/include/sound; \
		for f in include/sound/*.h; do \
			install -m 644 -g root -o root $$f $(DESTDIR)$(prefix)/include/sound; \
		done \
	fi

ifeq ($(CONFIG_SND_KERNELDIR)/System.map,$(wildcard $(CONFIG_SND_KERNELDIR)/System.map))
SYSTEM_MAP_OPT = -F $(CONFIG_SND_KERNELDIR)/System.map
endif

.PHONY: install-modules
install-modules:
ifeq ($(moddir_tree),y)
	find $(DESTDIR)$(moddir) -name 'snd*.*o' | xargs rm -f
else
	rm -f $(DESTDIR)$(moddir)/snd*.*o $(DESTDIR)$(moddir)/persist.o $(DESTDIR)$(moddir)/isapnp.o
endif
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d modules_install; then exit 1; fi; done
ifeq ($(DESTDIR),)
	-/sbin/depmod -a $(kaversion) $(SYSTEM_MAP_OPT)
else
	-/sbin/depmod -a -b $(DESTDIR)/ $(SYSTEM_MAP_OPT) $(kaversion)
endif

.PHONY: install-scripts
install-scripts:
	@for d in /sbin/init.d /etc/rc.d/init.d /etc/init.d; do \
	 if [ -d $(DESTDIR)$$d ]; then \
	   if [ -f $(DESTDIR)$$d/alsasound ]; then \
	     cmp -s utils/alsasound $(DESTDIR)$$d/alsasound || cp $(DESTDIR)$$d/alsasound $(DESTDIR)$$d/alsasound.old; \
	   fi; \
	   install -m 755 -g $(IGROUP) -o $(IUSER) utils/alsasound $(DESTDIR)$$d/alsasound; \
	   break; \
	fi; done

.PHONY: check-snd-prefix
check-snd-prefix:
	@ if [ x"$(DESTDIR)" = x -a -f /etc/modules.conf ]; then \
	  if grep -s -q snd_ /etc/modules.conf; then \
	    echo;\
	    echo "             ===== WARNING =====";\
	    echo;\
	    echo "The options for ALSA modules on your system still include snd_ prefix,";\
	    echo "which is obsoleted now.  Please fix /etc/modules.conf.";\
	    echo "For convenience, you can use utils/module-options script to convert";\
	    echo "the snd_ prefix automatically.";\
	    echo;\
	fi; fi

.PHONY: clean1
clean1:
	rm -f .depend *.o snd.map*
	rm -f $(DEXPORT)/*.ver
	rm -f modules/*.o

.PHONY: clean
clean: clean1
ifdef NEW_KBUILD
	rm -rf kbuild/.tmp_versions
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d cleanup; then exit 1; fi; done
else
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d clean; then exit 1; fi; done
endif
	@for d in $(CSUBDIRS); do if ! $(MAKE) -C $$d clean; then exit 1; fi; done

.PHONY: mrproper
mrproper: clean1
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d mrproper; then exit 1; fi; done
	@for d in $(CSUBDIRS); do if ! $(MAKE) -C $$d mrproper; then exit 1; fi; done
	rm -f *~ out.txt *.orig *.rej .#* .gdb_history
	rm -f doc/*~
	rm -f config.cache config.log config.status Makefile.conf
	rm -f utils/alsa-driver.spec
	rm -f `find ../alsa-kernel -name "*~"`
	rm -f `find ../alsa-kernel -name "*.orig"`
	rm -f `find ../alsa-kernel -name "*.rej"`
	rm -f `find ../alsa-kernel -name ".#*"`
	rm -f `find ../alsa-kernel -name "out.txt"`
	rm -rf autom4te.cache

.PHONY: cvsclean
cvsclean: mrproper
	rm -f configure snddevices aclocal.m4 acinclude.m4 include/config.h include/config1.h \
	include/config1.h.in toplevel.config toplevel.config.in alsa-kernel include/sound
	rm -f include/linux

.PHONY: pack
pack: mrproper
	chmod 755 utils/alsasound
	# big note: use always '--bzip2 -p' where -p is fake argument
	# it seems that some older tar has wrong getopt list
	{ \
		cd .. ; \
		rm -f alsa-driver/alsa-kernel ; \
		mv alsa-kernel alsa-driver ; \
		mv alsa-driver alsa-driver-$(CONFIG_SND_VERSION) ; \
		tar --exclude=CVS --exclude=kchanges \
                    --owner=$(IGROUP) --group=$(IUSER) -cv --bzip2 -p \
                    -f alsa-driver-$(CONFIG_SND_VERSION).tar.bz2 alsa-driver-$(CONFIG_SND_VERSION) ; \
		mv alsa-driver-$(CONFIG_SND_VERSION) alsa-driver ; \
		mv alsa-driver/alsa-kernel . ; \
	}

.PHONY: uninstall
uninstall:
	-rm -rf $(DESTDIR)$(prefix)/include/sound
ifeq ($(moddir_tree),y)
	{ \
		for i in core $(SUBDIRS) ; do \
			rm -rf $(DESTDIR)$(moddir)/$$i ; \
		done ; \
	}
else
	rm -f $(DESTDIR)$(moddir)/snd*.o $(DESTDIR)$(moddir)/persist.o $(DESTDIR)$(moddir)/isapnp.o
	rm -f $(DESTDIR)/sbin/init.d/alsasound
	rm -f $(DESTDIR)/etc/rc.d/init.d/alsasound
	rm -f $(DESTDIR)/etc/init.d/alsasound
endif

.PHONY: TAGS
TAGS:
	find . ../alsa-kernel -name *.h -o -name *.c | xargs etags

=== debian/changelog ===
alsa-driver-cclub (1.0.5a-3+002) unstable; urgency=low

  * Changed alsa-driver.tar.bz2 => alsa-driver-cclub.tar.bz2

 -- Mike Kasick <mkasick@club.cc.cmu.edu>  Mon, 27 Sep 2004 14:13:56 -0400

alsa-driver-cclub (1.0.5a-3+001) unstable; urgency=low

  * Initial release.

 -- Mike Kasick <mkasick@club.cc.cmu.edu>  Mon, 27 Sep 2004 13:16:01 -0400

alsa-driver (1.0.5a-3) unstable; urgency=low

  * Steve Kowalik:
    - Don't kill processes if force_stop_modules_before_suspend is true
      in /etc/default/alsa. (Closes: #266272, #266740, #267257)
    - Reference the correct file in NEWS.Debian. (Closes: #267099)
    - Replace 'a option' with 'an option' in alsa-source.templates, and 
      re-run debconf-updatepo. (Closes: #266171)

 -- Steve Kowalik <stevenk@debian.org>  Mon, 23 Aug 2004 21:42:41 +1000

alsa-driver (1.0.5a-2) unstable; urgency=medium

  * Steve Kowalik:
    - Remove XSIims in alsa-base's init script. (Closes: #254622)
      (thanks, Clint Adams)
    - Heaven forbid that we actually remove features from the package, so
      reimplement force-stop in the init script, and tell the apm script
      to run force-stop on suspend. Getting modules to load on resume is
      left as an exercise for the user. (Closes: #249541, #253980)
    - Alias force-reload to force-stop. (Closes: #264226)
    - Add audio module to our hotplug blacklist. (Closes: #257635)
    - Automatically load OSS compat modules for sequencers and mixers.
      (Closes: #246570, #258543)
    - 1.0.5a sets CONFIG_SND_CS46XX_NEW_DSP=y. (Closes: #249505)
    - update-modules may spit out warning messages that confuse debconf.
      Redirect stdout to /dev/null when calling update-modules in alsa-base's
      postrm. (Closes: #261853)
    - Fix up now erroneous points from alsa-base's README.Debian.
      (Closes: #248881)
    - Update Dutch Debconf translation. (Closes: #260293) (thanks, cobaco)
    - Update Brazilian Portuguese translation. (Closes: #262601)
      (thanks, Andre Luis Lopes)
  * Unreleased, and stuff.
  
 -- Steve Kowalik <stevenk@debian.org>  Sun, 15 Aug 2004 12:10:09 +1000

alsa-driver (1.0.5a-1) unstable; urgency=low

  * New upstream release.
  * Steve Kowalik:
    - fuser may exit non-zero. Fix the apm event script. (Closes: #247109)
    - Update the Czech debconf translation. (Closes: #251678)
  * Jordi Mallach:
    - debian/po/da.po: Add Danish translation (thanks, Michael Kristensen;
      closes: #253347).

 -- David B. Harris <dbharris@debian.org>  Wed,  9 Jun 2004 19:37:25 -0400

alsa-driver (1.0.4-3) unstable; urgency=low

  * Steve Kowalik:
    - Oops. Only move files in alsa-base's postinst if $filename contains
      something. (Closes: #246064)
    - Run update-modules in the postinst for alsa-base. (Closes: #246311)
    - Debconf translations:
      + Add Turkish. (Closes: #246069) (thanks, Recai Oktas)
      + Update Japanese. (Closes: #246438) (thanks, Kenshi Muto)
      + Update French. (Closes: #246791) (thanks, Christian Perrier)
  * Jordi Mallach:
    - debian/po/ca.po: Update Catalan translation.
  * David B. Harris:
    - debian/alsa-base.init: Put /usr/local/{sbin,bin} ahead of the
      system-wide versions in $PATH. Thanks to Tollef for noticing this.

 -- Steve Kowalik <stevenk@debian.org>  Sun,  2 May 2004 20:47:19 +1000

alsa-driver (1.0.4-2) unstable; urgency=low

  * Steve Kowalik:
    - Actually do some work on this package!
    - Check for the presence of either devfs or udev before creating device 
      nodes in alsa-base's postinst. (Closes: #243876)
    - Rewrite the init script to not load modules. Loading modules is now 
      the responsibility of the user, or hotplug.
      (Closes: #195516, #203491, #210440, #232380, #237003, #237452, #240594)
      (Closes: #244068, #245783)
    - Stop alsa-base depending on lsof and procps.
    - Change the description for alsa-base to no longer mention module
      loading.
    - Rewrite the debconf-age for alsa-base:
      + Stop asking which modules to load. (Closes: #199739, #218655)
      + Only ask one question about saving mixer settings, in the style of
        setserial.
      + This means we can stop doing vile things to the debconf templates in
        debian/rules.
      + This also means that alsa can restore on bootup, and not save on
        shutdown. (Closes: #191501, #232854)
    - Remove the files under /etc/alsa/modutils, and the symlinks
      into /etc/modprobe.d and /etc/modutils.
    - Provide an alsa-base file under /etc/modprobe.d and /etc/modutils 
      which will load the OSS compatibility modules.
      (Closes: #229486, #240594)
    - Blacklist (for hotplug) and skip (for discover) the OSS sound modules.
      Note that we can include the blacklist automatically for hotplug, but
      discover doesn't contain the infrastructure for that, so the file for 
      discover is in /usr/share/doc/alsa-base.
      (Closes: #238278, #238694, #240125, #242720)
    - Due to the fact that the init script no longer touches modules, this
      script has been gutted to a shadow of its former self. (Closes: #238994)
    - Stop using install -d so liberally in debian/rules.
    - Rename debian/po/no.po to debian/po/nb.po.
    - Correct typo in debian/po/fr.po. (Closes: #245031) (thanks,
      Pierre Machard)
    - Remove debian/alsa-path, I can't see anything at all that references it.

 -- Steve Kowalik <stevenk@debian.org>  Mon, 26 Apr 2004 15:27:55 +1000

alsa-driver (1.0.4-1) unstable; urgency=low

  * New upstream release.
  * Jordi Mallach:
    - debian/po/cs.po: new Czech translation of debconf templates
      (thanks Miroslav Kure <kurem@upcase.inf.upol.cz>; closes: #235644).
    - debian/alsa-modules.postinst: apply patch from Jamin W. Collins to
      avoid unresolved symbols when calling depmod on alsa-modules's
      postinsts (closes: #236543).
    - debian/control: change Maintainer name to "Debian ALSA Maintainers".
    - debian/alsa-base.apm: apply suggestions from Marius Gedminas to


=== debian/control ===
Source: alsa-driver-cclub
Section: sound
Priority: optional
Maintainer: Mike Kasick <mkasick@club.cc.cmu.edu>
Uploaders: Jordi Mallach <jordi@debian.org>, Steve Kowalik <stevenk@debian.org>, David B. Harris <dbharris@debian.org>
Build-Depends-Indep: debhelper (>= 4.1.17), bzip2, cpio, po-debconf, dpatch (>= 1.11)
Standards-Version: 3.6.1

Package: alsa-base
Architecture: all
Replaces: alsa-modules, alsa-base-0.4
Depends: psmisc, modutils (>= 2.3.5-1) | module-init-tools, debconf, alsa-utils (>= 1.0.2-2), debianutils (>= 1.6)
Suggests: apmd (>= 3.0.2-1)
Conflicts: alsa-base-0.4, alsa-modules, modutils (= 2.3.20-1), alsaconf (<< 0.4.3b-4), lsof-2.2 (<< 4.64)
Provides: alsa
Description: ALSA sound driver common files
 ALSA is an effort to create a modular sound system for Linux,
 while maintaining full compatibility with OSS/Lite.
 .
 These are the common files to be used on ALSA such as the scripts used
 to load and unload the modules at boot time. In addition, this package
 is for mutex control between several ALSA versions.

Package: alsa-source-cclub
Architecture: all
Depends: debconf (>= 0.2.26), make, gcc | c-compiler, debhelper (>= 4.0.0), debconf-utils, bzip2
Recommends: dpkg-dev, kernel-package-cclub
Suggests: devscripts
Description: ALSA sound driver source
 ALSA is an effort to create a modular sound system for Linux,
 while maintaining full compatibility with OSS/Lite. 
 .
 This is the source code for the ALSA drivers.  Please note that the
 kernel sources or headers must be installed to compile these modules.
Conflicts: alsa-source
Replaces: alsa-source
Provides: alsa-source

Package: alsa-headers
Architecture: all
Conflicts: alsa-headers-0.4, alsa-headers-0.5, alsa-headers-unstable
Replaces: alsa-headers-0.4, alsa-headers-0.5, alsa-headers-unstable
Description: ALSA sound driver header files
 ALSA is an effort to create a modular sound system for Linux,
 while maintaining full compatibility with OSS/Lite.
 .
 These are the necessary header files to develop interface libraries
 between the kernel and user space.

=== debian/rules ===
#!/usr/bin/make -f

# alsa-driver's debian/rules.
# Substanially rewritten by Steve Kowalik <stevenk@debian.org>

SHELL := /bin/bash
# Bwahaha, let's play "Fool dpatch"
PACKAGE := ALSA

SRC_DIR := debian/alsa-source-cclub/usr/src/modules/alsa-driver-cclub
INSTALL_UAG := -o root -g audio

include /usr/share/dpatch/dpatch.make

clean: unpatch
	dh_testdir
	dh_testroot
	$(RM) debian/substvars debian/*.debhelper debian/*.substvars
	$(RM) -r debian/alsa-{base,source,headers}
	$(RM) debian/files debian/snddevices
	find . -type f -a \( -name \#\*\# -o -name \*\~ -o -name DEADJOE \
		-o -name \*.orig -o -name \*.rej -o -name \*.bak -o -name \
		.\*.orig -o -name .\*.rej -o -name .SUMS -o -name TAGS \
		-o -name .\#\* -o -name core -o \( -path \*/.deps/\* -a -name \
		\*.P \) \) -exec $(RM) {} \;
	-$(RM) build-stamp
	-$(RM) include/isapnp.h
	-$(RM) debian/*substvars
	-$(RM) -r debian/patched
	dh_clean -k

build: build-stamp
build-stamp: patch-stamp
	touch build-stamp

binary: binary-indep binary-arch

binary-indep: DH_OPTIONS=-i
binary-indep: patch-stamp build-stamp build-source
	dh_testdir
	dh_testroot
	dh_installdirs
	for f in $(shell cat debian/alsa-headers.headers); do \
		install -p -o root -g root -m644 alsa-kernel/include/$$f debian/alsa-headers/usr/include/sound/; \
	done
	install $(INSTALL_UAG) -m755 debian/alsa-base.apm \
		debian/alsa-base/etc/apm/event.d/alsa
	install $(INSTALL_UAG) -m755 snddevices \
		debian/alsa-base/usr/share/alsa-base/snddevices
	install $(INSTALL_UAG) -m644 debian/alsa-base.conf \
		debian/alsa-base/usr/share/alsa-base/alsa-base.conf
	install $(INSTALL_UAG) -m644 debian/alsa-source.conf \
		debian/alsa-source-cclub/usr/share/alsa-source/alsa-source.conf
	install $(INSTALL_UAG) -m644 debian/devfs.conf \
		debian/alsa-base/etc/devfs/conf.d/alsa
	install -o root -o root -m755 debian/program-wrapper \
		debian/alsa-base/usr/share/alsa-base
	for i in modutils modprobe.d ; do \
		install -m644 debian/alsa-base.$$i debian/alsa-base/etc/$$i/alsa-base; \
	done
	install debian/alsa-base.hotplug debian/alsa-base/etc/hotplug/blacklist.d/alsa-base
	for i in linda lintian ; do \
		install -m644 debian/alsa-base.$$i debian/alsa-base/usr/share/$$i/overrides/alsa-base ; \
	done
	dh_installdebconf
	dh_installdocs
	mv debian/alsa-source-cclub/usr/share/doc/alsa-source-cclub/patch-stamp debian/alsa-source-cclub/usr/share/doc/alsa-source-cclub/PATCHES
	DH_OPTIONS= dh_installinit --no-start -r --init-script=alsa
	dh_installman
	dh_installchangelogs 
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Nothing to do 
binary-arch:

build-source:
	mkdir -p $(SRC_DIR)/debian
	find . \( -path './debian' -o -name 'CVS' -o -name '.cvsignore'  -o -name '*-stamp' \) -prune -o -print | cpio -admp $(SRC_DIR)
	-$(MAKE) -C $(SRC_DIR) clean
	chown -R root:src debian/alsa-source-cclub/usr/src
	# alsa-source/debian/*
	install -m755 debian/alsa-source-cclub.rules $(SRC_DIR)/debian/rules
	install -m644 debian/alsa-source-cclub.control $(SRC_DIR)/debian/control
	install -m644 debian/changelog $(SRC_DIR)/debian/changelog
	install -m644 debian/compat $(SRC_DIR)/debian/compat
	install -m644 debian/alsa-modules-cclub.dirs $(SRC_DIR)/debian/dirs
	# And fix perms on the directory ...
	find debian/alsa-source-cclub -type d -exec chmod 775 {} \;
	find debian/alsa-source-cclub/usr/src/modules -type d -exec chmod 2775 {} \;
	# As much as I hate automatically generated stuff, automatically generate
	# files.
	major_ver="$(shell head -n 1 debian/changelog | cut -d\( -f2 | cut -d\) -f1 | cut -d. -f1-2)"; \
	for i in post{inst,rm} ; do \
		cat debian/alsa-modules-cclub.$$i | sed -e "s/_MAJORVERSION_/$$major_ver/g" > $(SRC_DIR)/debian/$$i; \
	done
	# Build the tarball, debian/* mess over.
	cd debian/alsa-source-cclub/usr/src && tar cf alsa-driver-cclub.tar modules
	$(RM) -r debian/alsa-source-cclub/usr/src/modules
	bzip2 -9 debian/alsa-source-cclub/usr/src/alsa-driver-cclub.tar

.PHONY: binary binary-arch binary-indep build-source clean patch unpatch

=== debian/watch ===
ftp://ftp.alsa-project.org	/pub/driver/	alsa-driver-(.*).tar.bz2	uupdate
